Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.component
Interface FillContext

All Superinterfaces:
  JRFillExpressionEvaluator

All Known Implementing Classes:
  JRFillComponentElement

    public interface FillContext

extends JRFillExpressionEvaluator

A fill context provides access to data and functionality related to a report component fill.

Version:
  $Id: FillContext.java 3775 2010-05-03 12:11:56Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`java.lang.Object` | `evaluate(JRExpression expression, byte evaluation)` Evaluates an expression in the main report dataset.
`JRComponentElement` | `getComponentElement()` Returns the component element that wraps the component.
`JRDefaultStyleProvider` | `getDefaultStyleProvider()` Returns the default style provider for the generated report.
`JROrigin` | `getElementOrigin()` Returns the origin of the current component element.
`int` | `getElementPrintY()` Returns the position on the vertical axis where the component element starts printing.
`JRStyle` | `getElementStyle()` Returns the current style of the component element.
`JRBaseFiller` | `getFiller()` Returns the filler object.
`java.util.Locale` | `getReportLocale()` Returns the locale used to fill the current report.
`java.util.ResourceBundle` | `getReportResourceBundle()` Returns the resource bundle used for the current report.
`java.util.TimeZone` | `getReportTimezone()` Returns the time zone used to fill the current report.
`void` | `registerDelayedEvaluation(JRPrintElement printElement, EvaluationTimeEnum evaluationTime, java.lang.String evaluationGroup)` Registers a delayed evaluation for a print element.

Method Detail

### getComponentElement

    JRComponentElement getComponentElement()

  Returns the component element that wraps the component.

  Returns:
    the current component element

### evaluate

    java.lang.Object evaluate(JRExpression expression,
                              byte evaluation)
                              throws JRException

  Evaluates an expression in the main report dataset.

  Specified by:
    `evaluate` in interface `JRFillExpressionEvaluator`
  Parameters:
    `expression` - the expression to evaluate
    `evaluation` - the evaluation type; usually directly passed from `FillComponent.evaluate(byte)`
  Returns:
    the result of the evaluation
  Throws:
    `JRException`

### getDefaultStyleProvider

    JRDefaultStyleProvider getDefaultStyleProvider()

  Returns the default style provider for the generated report.

  Returns:
    the default style provider of the generated report

### getElementOrigin

    JROrigin getElementOrigin()

  Returns the origin of the current component element.

  Returns:
    the origin of the component element

### getElementPrintY

    int getElementPrintY()

  Returns the position on the vertical axis where the component element starts printing.

  Returns:
    the position on the vertical axis of the component element

### getElementStyle

    JRStyle getElementStyle()

  Returns the current style of the component element.

  Returns:
    the current style of the component element

### registerDelayedEvaluation

    void registerDelayedEvaluation(JRPrintElement printElement,
                                   EvaluationTimeEnum evaluationTime,
                                   java.lang.String evaluationGroup)

  Registers a delayed evaluation for a print element.

  Parameters:
    `printElement` - the print element
    `evaluationTime` - the delayed evaluation time; one of
    - `JRExpression.EVALUATION_TIME_BAND`
    - `JRExpression.EVALUATION_TIME_COLUMN`
    - `JRExpression.EVALUATION_TIME_PAGE`
    - `JRExpression.EVALUATION_TIME_GROUP`
    - `JRExpression.EVALUATION_TIME_REPORT`
    `evaluationGroup` - the evaluation group name, if `evaluationTime` is `JRExpression.EVALUATION_TIME_GROUP`
  See Also:
    `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`

### getReportResourceBundle

    java.util.ResourceBundle getReportResourceBundle()

  Returns the resource bundle used for the current report.

  Returns:
    the report resource bundle
  See Also:
    `JRReport.getResourceBundle()`, `JRParameter.REPORT_RESOURCE_BUNDLE`

### getReportLocale

    java.util.Locale getReportLocale()

  Returns the locale used to fill the current report.

  Returns:
    the report locale
  See Also:
    `JRParameter.REPORT_LOCALE`

### getReportTimezone

    java.util.TimeZone getReportTimezone()

  Returns the time zone used to fill the current report.

  Returns:
    the report time zone
  See Also:
    `JRParameter.REPORT_TIME_ZONE`

### getFiller

    JRBaseFiller getFiller()

  Returns the filler object.

  Returns:
    the filler object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com